Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am trying to mount ext4 EBS volume in to my EC2 instance in Debian OS, whenever I try to mount I get the following error:

mount: unknown filesystem type 'ext4'

I googled around and found a link to the solution: http://techtitbits.com/2010/05/mounting-ext4-partitions-on-debian/

No luck, now I get this problem:

mount: unknown filesystem type 'ext4dev'

Not sure what is the exact problem in mounting ext4 file-system. Please help.

Thanks for your time.

NOTE

My kernel version is: 2.6.21.7-2.ec2.v1.2.fc8xen

Debian OS is Lenny 5.0

**ANSWER**

PLEASE DO NOT MOUNT Ext4 filesystem on kernel version < 2.6.28, it will not work, 
since Ext4 was introduced only in >= 2.6.28 kernel version. 

Please see: http://wiki.debian.org/Ext4

share|improve this question
    
lsmod | grep ext4 or grep -i ext4 /path/to/the/kernel/.config? –  quanta Oct 13 '11 at 10:48
    
lsmod shows nothing, whereas with kernel/.config - I am not sure I know the path to kernel folder, can you help me with that? –  RakeshS Oct 13 '11 at 10:55
    
Take a look at /usr/src/linux.... –  quanta Oct 13 '11 at 15:00

2 Answers 2

Don't do it. The experimental ext4 module that was included in Lenny isn't safe or sane to use on a disk that you actually want to store data on.

Still, the mount operation should work alright once the test_fs flag is set. What's the exact output from these commands, filled in with the relevant info for your system?

tune2fs -E test_fs /dev/sdXX
mount -t ext4dev -o ro /dev/sdXX /mnt/mountpoint
share|improve this answer
    
Thanks for the answer @Shane-madden, it looks like Ext4 is introduced in Linux Kernel version > 2.6.28 (from this link), where as my version is 2.6.21 :-( - that said I will have to upgrade my kernel version and give it a try. –  RakeshS Oct 14 '11 at 3:57
up vote 0 down vote accepted

PLEASE DO NOT MOUNT Ext4 filesystem on kernel version < 2.6.28, it will not work, since Ext4 was introduced only in >= 2.6.28 kernel version.

Please see: http://wiki.debian.org/Ext4

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.